HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: HighLevelMonitorConfigurationAPI, enum: MC_COLOR_TEMPERATURE

Package com.sun.jna.platform.win32

# Enum Class HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE

java.lang.Object
java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE>
com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE

All Implemented Interfaces:
  `Serializable`, `Comparable<HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE>`, `Constable`

Enclosing interface:
  HighLevelMonitorConfigurationAPI

public static enum HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE extends Enum<HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE>
Describes a monitor's color temperature.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE.ByReference`
  Defines a Reference to the enum

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MC_COLOR_TEMPERATURE_10000K`
  10,000 kelvins (K).
  `MC_COLOR_TEMPERATURE_11500K`
  11,500 kelvins (K).
  `MC_COLOR_TEMPERATURE_4000K`
  4,000 kelvins (K).
  `MC_COLOR_TEMPERATURE_5000K`
  5,000 kelvins (K).
  `MC_COLOR_TEMPERATURE_6500K`
  6,500 kelvins (K).
  `MC_COLOR_TEMPERATURE_7500K`
  7,500 kelvins (K).
  `MC_COLOR_TEMPERATURE_8200K`
  8,200 kelvins (K).
  `MC_COLOR_TEMPERATURE_9300K`
  9,300 kelvins (K).
  `MC_COLOR_TEMPERATURE_UNKNOWN`
  Unknown temperature.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MC_COLOR_TEMPERATURE_UNKNOWN

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_UNKNOWN
    Unknown temperature.

  - ### MC_COLOR_TEMPERATURE_4000K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_4000K
    4,000 kelvins (K).

  - ### MC_COLOR_TEMPERATURE_5000K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_5000K
    5,000 kelvins (K).

  - ### MC_COLOR_TEMPERATURE_6500K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_6500K
    6,500 kelvins (K).

  - ### MC_COLOR_TEMPERATURE_7500K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_7500K
    7,500 kelvins (K).

  - ### MC_COLOR_TEMPERATURE_8200K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_8200K
    8,200 kelvins (K).

  - ### MC_COLOR_TEMPERATURE_9300K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_9300K
    9,300 kelvins (K).

  - ### MC_COLOR_TEMPERATURE_10000K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_10000K
    10,000 kelvins (K).

  - ### MC_COLOR_TEMPERATURE_11500K

    public static final HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE MC_COLOR_TEMPERATURE_11500K
    11,500 kelvins (K).

- ## Method Details

  - ### values

    public static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HighLevelMonitorConfigurationAPI.MC_COLOR_TEMPERATURE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null